PETSc version 3.17.4
Fix/Edit manual page

# MatScaLAPACKSetBlockSizes

Sets the block sizes to be used for the distribution of the ScaLAPACK matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatScaLAPACKSetBlockSizes(Mat A,PetscInt mb,PetscInt nb)

Logically Collective on A

### Input Parameters

| A | - a MATSCALAPACK matrix
| mb | - the row block size
| nb | - the column block size

### See Also

MatCreateScaLAPACK(), MatScaLAPACKGetBlockSizes()

### Level

intermediate

### Location

src/mat/impls/scalapack/matscalapack.c

### Implementations

MatScaLAPACKSetBlockSizes_ScaLAPACK in src/mat/impls/scalapack/matscalapack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages